# IceGrid::NodeObserver

## Overview

### [ "ami" ] interface NodeObserver

The node observer interface. Observers should implement this interface to receive information about the state of the IceGrid nodes.

## Operation Index

nodeInit
  The `nodeInit` operation indicates the current state of nodes.
nodeUp
  The `nodeUp` operation is called to notify an observer that a node came up.
nodeDown
  The `nodeDown` operation is called to notify an observer that a node went down.
updateServer
  The `updateServer` operation is called to notify an observer that the state of a server changed.
updateAdapter
  The `updateAdapter` operation is called to notify an observer that the state of an adapter changed.

## Operations

### void nodeInit(NodeDynamicInfoSeq nodes)

The `nodeInit` operation indicates the current state of nodes. It is called after the registration of an observer.

#### Parameters

nodes
  The current state of the nodes.

### void nodeUp(NodeDynamicInfo node)

The `nodeUp` operation is called to notify an observer that a node came up.

#### Parameters

node
  The node state.

### void nodeDown(string name)

The `nodeDown` operation is called to notify an observer that a node went down.

#### Parameters

name
  The node name.

### void updateServer(string node, ServerDynamicInfo updatedInfo)

The `updateServer` operation is called to notify an observer that the state of a server changed.

#### Parameters

node
  The node hosting the server.
updatedInfo
  The new server state.

### void updateAdapter(string node, AdapterDynamicInfo updatedInfo)

The `updateAdapter` operation is called to notify an observer that the state of an adapter changed.

#### Parameters

node
  The node hosting the adapter.
updatedInfo
  The new adapter state.